float_Tile_Async(3)

NAME
float_Tile_Async - Advanced Interface: Asynchronous - Single Real

  Functions
int PLASMA_sgeadd_Tile_Async (PLASMA_enum trans, float alpha, PLASMA_desc *A, float beta, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgebrd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, float *S, float *E, PLASMA_desc *T, float *U, int LDU, float *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgecon_Tile_Async (PLASMA_enum norm, PLASMA_desc *A, float Anorm, float *rcond, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgelqf_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgelqs_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgels_Tile_Async (PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgemm_Tile_Async (PLASMA_enum transA, PLASMA_enum transB, float alpha, PLASMA_desc *A, PLASMA_desc *B, float beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgeqp3_Tile_Async (PLASMA_desc *A, int *jpvt, float *tau, float *work, float *rwork, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgeqrf_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgeqrs_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgesdd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, float *S, PLASMA_desc *T, float *U, int LDU, float *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgesv_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgesv_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgesvd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, float *S, PLASMA_desc *T, float *U, int LDU, float *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgetrf_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgetrf_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, int *IPIV, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgetrf_nopiv_Tile_Async (PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgetrf_tntpiv_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *W, int *Wpivot, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgetri_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *W, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgetrs_Tile_Async (PLASMA_enum trans, PLASMA_desc *A, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sgetrs_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slacpy_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slange_Tile_Async (PLASMA_enum norm, PLASMA_desc *A, float *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slansy_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc *A, float *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slantr_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc *A, float *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slascal_Tile_Async (PLASMA_enum uplo, float alpha, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slaset_Tile_Async (PLASMA_enum uplo, float alpha, float beta, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slaswp_Tile_Async (PLASMA_desc *A, int K1, int K2, const int *IPIV, int INCX, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slaswpc_Tile_Async (PLASMA_desc *A, int K1, int K2, const int *IPIV, int INCX, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_slauum_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sorglq_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sorgqr_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sormlq_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sormqr_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_splgsy_Tile_Async (float bump, PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_splrnt_Tile_Async (PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_spltmg_Tile_Async (PLASMA_enum mtxtype, PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_spocon_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, float Anorm, float *rcond, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sposv_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_spotrf_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_spotri_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_spotrs_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sstedc_Async (PLASMA_enum jobz, int n, float *D, float *E, float *Z, int LDZ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssyev_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, float *W, PLASMA_desc *T, float *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssyevd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, float *W, PLASMA_desc *T, float *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssyevr_Tile_Async (PLASMA_enum jobz, PLASMA_enum range, PLASMA_enum uplo, PLASMA_desc *A, float vl, float vu, int il, int iu, float abstol, int *nbcomputedeig, float *W, PLASMA_desc *T, float *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssygst_Tile_Async (PLASMA_enum itype, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssygv_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, float *W, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssygvd_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, float *W, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssymm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, float alpha, PLASMA_desc *A, PLASMA_desc *B, float beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssyr2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, float alpha, PLASMA_desc *A, PLASMA_desc *B, float beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssyrk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, float alpha, PLASMA_desc *A, float beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ssytrd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, float *W, float *E, PLASMA_desc *T, float *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_stradd_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, float alpha, PLASMA_desc *A, float beta, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_strmm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, float alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_strsm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, float alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_strsmpl_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_strsmrv_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, float alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_strtri_Tile_Async (PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sLapack_to_Tile_Async (float *Af77, int LDA, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_sTile_to_Lapack_Async (PLASMA_desc *A, float *Af77, int LDA, PLASMA_sequence *sequence, PLASMA_request *request)

Detailed Description

This is the group of single real functions using the advanced asynchronous interface.

Function Documentation

  int PLASMA_sgeadd_Tile_Async (PLASMA_enum trans, float alpha, PLASMA_desc * A, float beta, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgeadd_Tile_Async - Performs a matrix addition similarly to the psgeadd() function from the PBLAS library. Non-blocking equivalent of PLASMA_sgeadd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgeadd

    PLASMA_sgeadd_Tile

    PLASMA_cgeadd_Tile_Async

    PLASMA_dgeadd_Tile_Async

    PLASMA_sgeadd_Tile_Async

  int PLASMA_sgebrd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, float * S, float * E, PLASMA_desc * T, float * U, int LDU, float * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgebrd_Tile_Async - reduces a general complex M-by-N matrix A to upper or lower bidiagonal form B using a two-stage approach First stage: reduction to band bidiagonal form (orthogonal matrices Q1 and P1); Second stage: reduction from band to bidiagonal form (orthogonal matrices Q2 and P2). Let Q = Q1 * Q2 be the global left unitary transformation; Let P = P1 * P2 be the global right unitary transformation; Q**T * A * P = B. If M >= N, B is upper bidiagonal; if M < N, B is lower bidiagonal. Note: T is incomplete and contains only the block reflectors of the first stage. Therefore, Q and P can not be built completely. Non-blocking equivalent of PLASMA_sgebrd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgebrd

    PLASMA_sgebrd_Tile

    PLASMA_cgebrd_Tile_Async

    PLASMA_dgebrd_Tile_Async

    PLASMA_sgebrd_Tile_Async

  int PLASMA_sgecon_Tile_Async (PLASMA_enum norm, PLASMA_desc * A, float Anorm, float * rcond, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgecon_Tile_Async - estimates the reciprocal of the condition number of a general complex matrix A, in either the 1-norm or the infinity-norm. Non-blocking equivalent of PLASMA_sgecon_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgecon

    PLASMA_sgecon_Tile

    PLASMA_cgecon_Tile_Async

    PLASMA_dgecon_Tile_Async

    PLASMA_sgecon_Tile_Async

  int PLASMA_sgelqf_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgelqf_Tile_Async - Computes the tile LQ factorization of a matrix. Non-blocking equivalent of PLASMA_sgelqf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgelqf

    PLASMA_sgelqf_Tile

    PLASMA_cgelqf_Tile_Async

    PLASMA_dgelqf_Tile_Async

    PLASMA_sgelqf_Tile_Async

    PLASMA_sgelqs_Tile_Async

  int PLASMA_sgelqs_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgelqs_Tile_Async - Computes a minimum-norm solution using previously computed LQ factorization. Non-blocking equivalent of PLASMA_sgelqs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgelqs

    PLASMA_sgelqs_Tile

    PLASMA_cgelqs_Tile_Async

    PLASMA_dgelqs_Tile_Async

    PLASMA_sgelqs_Tile_Async

    PLASMA_sgelqf_Tile_Async

  int PLASMA_sgels_Tile_Async (PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgels_Tile_Async - Solves overdetermined or underdetermined linear system of equations using the tile QR or the tile LQ factorization. Non-blocking equivalent of PLASMA_sgels_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgels

    PLASMA_sgels_Tile

    PLASMA_cgels_Tile_Async

    PLASMA_dgels_Tile_Async

    PLASMA_sgels_Tile_Async

  int PLASMA_sgemm_Tile_Async (PLASMA_enum transA, PLASMA_enum transB, float alpha, PLASMA_desc * A, PLASMA_desc * B, float beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgemm_Tile_Async - Performs matrix multiplication. Non-blocking equivalent of PLASMA_sgemm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgemm

    PLASMA_sgemm_Tile

    PLASMA_cgemm_Tile_Async

    PLASMA_dgemm_Tile_Async

    PLASMA_sgemm_Tile_Async

  int PLASMA_sgeqp3_Tile_Async (PLASMA_desc * A, int * jpvt, float * tau, float * work, float * rwork, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgeqp3_Tile_Async - Computes the tile QR factorization with column pivoting of a matrix. Non-blocking equivalent of PLASMA_sgeqp3_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgeqp3

    PLASMA_sgeqp3_Tile

    PLASMA_cgeqp3_Tile_Async

    PLASMA_dgeqp3_Tile_Async

    PLASMA_sgeqp3_Tile_Async

  int PLASMA_sgeqrf_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgeqrf_Tile_Async - Computes the tile QR factorization of a matrix. Non-blocking equivalent of PLASMA_sgeqrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgeqrf

    PLASMA_sgeqrf_Tile

    PLASMA_cgeqrf_Tile_Async

    PLASMA_dgeqrf_Tile_Async

    PLASMA_sgeqrf_Tile_Async

    PLASMA_sgeqrs_Tile_Async

  int PLASMA_sgeqrs_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgeqrs_Tile_Async - Computes a minimum-norm solution using the tile QR factorization. Non-blocking equivalent of PLASMA_sgeqrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgeqrs

    PLASMA_sgeqrs_Tile

    PLASMA_cgeqrs_Tile_Async

    PLASMA_dgeqrs_Tile_Async

    PLASMA_sgeqrs_Tile_Async

    PLASMA_sgeqrf_Tile_Async

  int PLASMA_sgesdd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, float * S, PLASMA_desc * T, float * U, int LDU, float * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgesdd_Tile_Async - computes the singular value decomposition (SVD) of a complex M-by-N matrix A, optionally computing the left and/or right singular vectors. Non-blocking equivalent of PLASMA_sgesdd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgesdd

    PLASMA_sgesdd_Tile

    PLASMA_cgesdd_Tile_Async

    PLASMA_dgesdd_Tile_Async

    PLASMA_sgesdd_Tile_Async

  int PLASMA_sgesv_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgesv_incpiv_Tile_Async - Solves a system of linear equations using the tile LU factorization. Non-blocking equivalent of PLASMA_sgesv_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgesv_incpiv

    PLASMA_sgesv_incpiv_Tile

    PLASMA_cgesv_incpiv_Tile_Async

    PLASMA_dgesv_incpiv_Tile_Async

    PLASMA_sgesv_incpiv_Tile_Async

    PLASMA_scgesv_Tile_Async

  int PLASMA_sgesv_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgesv_Tile_Async - Solves a system of linear equations using the tile LU factorization. Non-blocking equivalent of PLASMA_sgesv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgesv

    PLASMA_sgesv_Tile

    PLASMA_cgesv_Tile_Async

    PLASMA_dgesv_Tile_Async

    PLASMA_sgesv_Tile_Async

    PLASMA_scgesv_Tile_Async

  int PLASMA_sgesvd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, float * S, PLASMA_desc * T, float * U, int LDU, float * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgesvd_Tile_Async - computes the singular value decomposition (SVD) of a complex M-by-N matrix A, optionally computing the left and/or right singular vectors. Non-blocking equivalent of PLASMA_sgesvd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgesvd

    PLASMA_sgesvd_Tile

    PLASMA_cgesvd_Tile_Async

    PLASMA_dgesvd_Tile_Async

    PLASMA_sgesvd_Tile_Async

  int PLASMA_sgetrf_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, int * IPIV, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgetrf_incpiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_sgetrf_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgetrf_incpiv

    PLASMA_sgetrf_incpiv_Tile

    PLASMA_cgetrf_incpiv_Tile_Async

    PLASMA_dgetrf_incpiv_Tile_Async

    PLASMA_sgetrf_incpiv_Tile_Async

    PLASMA_sgetrs_incpiv_Tile_Async

  int PLASMA_sgetrf_nopiv_Tile_Async (PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgetrf_nopiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_sgetrf_nopiv_Tile(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    A On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgetrf_nopiv

    PLASMA_sgetrf_nopiv_Tile

    PLASMA_cgetrf_nopiv_Tile_Async

    PLASMA_dgetrf_nopiv_Tile_Async

    PLASMA_sgetrf_nopiv_Tile_Async

    PLASMA_sgetrs_Tile_Async

  int PLASMA_sgetrf_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgetrf_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_sgetrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgetrf

    PLASMA_sgetrf_Tile

    PLASMA_cgetrf_Tile_Async

    PLASMA_dgetrf_Tile_Async

    PLASMA_sgetrf_Tile_Async

    PLASMA_sgetrs_Tile_Async

  int PLASMA_sgetrf_tntpiv_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * W, int * Wpivot, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgetrf_tntpiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_sgetrf_tntpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    A On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
    IPIV The pivot indices that define the permutations
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgetrf_tntpiv

    PLASMA_sgetrf_tntpiv_Tile

    PLASMA_cgetrf_tntpiv_Tile_Async

    PLASMA_dgetrf_tntpiv_Tile_Async

    PLASMA_sgetrf_tntpiv_Tile_Async

  int PLASMA_sgetri_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * W, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgetri_Tile_Async - Computes the inverse of a matrix using the LU factorization computed by PLASMA_sgetrf. This method inverts U and then computes inv(A) by solving the system inv(A)*L = inv(U) for inv(A). Non-blocking equivalent of PLASMA_sgetri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgetri

    PLASMA_sgetri_Tile

    PLASMA_cgetri_Tile_Async

    PLASMA_dgetri_Tile_Async

    PLASMA_sgetri_Tile_Async

    PLASMA_sgetrf_Tile_Async

  int PLASMA_sgetrs_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgetrs_incpiv_Tile_Async - Solves a system of linear equations using previously computed LU factorization. Non-blocking equivalent of PLASMA_sgetrs_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgetrs_incpiv

    PLASMA_sgetrs_incpiv_Tile

    PLASMA_cgetrs_incpiv_Tile_Async

    PLASMA_dgetrs_incpiv_Tile_Async

    PLASMA_sgetrs_incpiv_Tile_Async

    PLASMA_sgetrf_incpiv_Tile_Async

  int PLASMA_sgetrs_Tile_Async (PLASMA_enum trans, PLASMA_desc * A, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sgetrs_Tile_Async - Solves a system of linear equations using previously computed LU factorization. Non-blocking equivalent of PLASMA_sgetrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sgetrs

    PLASMA_sgetrs_Tile

    PLASMA_cgetrs_Tile_Async

    PLASMA_dgetrs_Tile_Async

    PLASMA_sgetrs_Tile_Async

    PLASMA_sgetrf_Tile_Async

  int PLASMA_slacpy_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slacpy_Tile_Async - Non-blocking equivalent of PLASMA_slacpy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slacpy

    PLASMA_slacpy_Tile

    PLASMA_clacpy_Tile_Async

    PLASMA_dlacpy_Tile_Async

    PLASMA_slacpy_Tile_Async

  int PLASMA_slange_Tile_Async (PLASMA_enum norm, PLASMA_desc * A, float * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slange_Tile_Async - Non-blocking equivalent of PLASMA_slange_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slange

    PLASMA_slange_Tile

    PLASMA_clange_Tile_Async

    PLASMA_dlange_Tile_Async

    PLASMA_slange_Tile_Async

  int PLASMA_slansy_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc * A, float * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slansy_Tile_Async - Non-blocking equivalent of PLASMA_slansy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slansy

    PLASMA_slansy_Tile

    PLASMA_clansy_Tile_Async

    PLASMA_dlansy_Tile_Async

    PLASMA_slansy_Tile_Async

  int PLASMA_slantr_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc * A, float * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slantr_Tile_Async - Non-blocking equivalent of PLASMA_slantr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slantr

    PLASMA_slantr_Tile

    PLASMA_clantr_Tile_Async

    PLASMA_dlantr_Tile_Async

    PLASMA_slantr_Tile_Async

  int PLASMA_sLapack_to_Tile_Async (float * Af77, int LDA, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sLapack_to_Tile_Async - Conversion from LAPACK layout to tile layout. Non-blocking equivalent of PLASMA_sLapack_to_Tile(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    Af77 LAPACK matrix.
    LDA The leading dimension of the matrix Af77.
    A Descriptor of the PLASMA matrix in tile layout.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sTile_to_Lapack_Async

    PLASMA_sLapack_to_Tile

    PLASMA_cLapack_to_Tile_Async

    PLASMA_dLapack_to_Tile_Async

    PLASMA_sLapack_to_Tile_Async

  int PLASMA_slascal_Tile_Async (PLASMA_enum uplo, float alpha, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slascal_Tile_Async - Scales a matrix by the scalar alpha as in ScaLAPACK pslascal(). Non-blocking equivalent of PLASMA_slascal_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slascal

    PLASMA_slascal_Tile

    PLASMA_clascal_Tile_Async

    PLASMA_dlascal_Tile_Async

    PLASMA_slascal_Tile_Async

  int PLASMA_slaset_Tile_Async (PLASMA_enum uplo, float alpha, float beta, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slaset_Tile_Async - Non-blocking equivalent of PLASMA_slaset_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slaset

    PLASMA_slaset_Tile

    PLASMA_claset_Tile_Async

    PLASMA_slaset_Tile_Async

    PLASMA_slaset_Tile_Async

  int PLASMA_slaswp_Tile_Async (PLASMA_desc * A, int K1, int K2, const int * IPIV, int INCX, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slaswp_Tile_Async - performs a series of row interchanges on the matrix A. One row interchange is initiated for each of rows K1 through K2 of A. Non-blocking equivalent of PLASMA_slaswp_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slaswp

    PLASMA_slaswp_Tile

    PLASMA_claswp_Tile_Async

    PLASMA_dlaswp_Tile_Async

    PLASMA_slaswp_Tile_Async

    PLASMA_sgetrf_Tile_Async

  int PLASMA_slaswpc_Tile_Async (PLASMA_desc * A, int K1, int K2, const int * IPIV, int INCX, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slaswpc_Tile_Async - performs a series of row interchanges on the matrix A. One row interchange is initiated for each of rows K1 through K2 of A. Non-blocking equivalent of PLASMA_slaswpc_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slaswpc

    PLASMA_slaswpc_Tile

    PLASMA_claswpc_Tile_Async

    PLASMA_dlaswpc_Tile_Async

    PLASMA_slaswpc_Tile_Async

    PLASMA_sgetrf_Tile_Async

  int PLASMA_slauum_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_slauum_Tile_Async - Computes the product U * U' or L' * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A. Non-blocking equivalent of PLASMA_slauum_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_slauum

    PLASMA_slauum_Tile

    PLASMA_clauum_Tile_Async

    PLASMA_dlauum_Tile_Async

    PLASMA_slauum_Tile_Async

    PLASMA_spotri_Tile_Async

  int PLASMA_sorglq_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_sorglq_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sorglq

    PLASMA_sorglq_Tile

    PLASMA_cunglq_Tile_Async

    PLASMA_dorglq_Tile_Async

    PLASMA_sorglq_Tile_Async

    PLASMA_sgelqf_Tile_Async

  int PLASMA_sorgqr_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_sorgqr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sorgqr

    PLASMA_sorgqr_Tile

    PLASMA_cungqr_Tile_Async

    PLASMA_dorgqr_Tile_Async

    PLASMA_sorgqr_Tile_Async

    PLASMA_sgeqrf_Tile_Async

  int PLASMA_sormlq_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_sormlq_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sormlq

    PLASMA_sormlq_Tile

    PLASMA_cunmlq_Tile_Async

    PLASMA_dormlq_Tile_Async

    PLASMA_sormlq_Tile_Async

    PLASMA_sgelqf_Tile_Async

  int PLASMA_sormqr_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_sormqr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sormqr

    PLASMA_sormqr_Tile

    PLASMA_cormqr_Tile_Async

    PLASMA_dormqr_Tile_Async

    PLASMA_sormqr_Tile_Async

    PLASMA_sgeqrf_Tile_Async

  int PLASMA_splgsy_Tile_Async (float bump, PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_splgsy_Tile_Async - Generate a random hermitian matrix by tiles. Non-blocking equivalent of PLASMA_splgsy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_splgsy

    PLASMA_splgsy_Tile

    PLASMA_cplgsy_Tile_Async

    PLASMA_dplgsy_Tile_Async

    PLASMA_splgsy_Tile_Async

    PLASMA_splgsy_Tile_Async

    PLASMA_splgsy_Tile_Async

  int PLASMA_splrnt_Tile_Async (PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_splrnt_Tile_Async - Generate a random matrix by tiles. Non-blocking equivalent of PLASMA_splrnt_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_splrnt

    PLASMA_splrnt_Tile

    PLASMA_cplrnt_Tile_Async

    PLASMA_dplrnt_Tile_Async

    PLASMA_splrnt_Tile_Async

    PLASMA_splgsy_Tile_Async

    PLASMA_splgsy_Tile_Async

  int PLASMA_spltmg_Tile_Async (PLASMA_enum mtxtype, PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_spltmg_Tile_Async - Generate a random matrix by tiles. Non-blocking equivalent of PLASMA_spltmg_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    mtxtype See PLASMA_spltmg()
    A Descriptor of the matrix A to generate. On exit, The random matrix A generated.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_spltmg

    PLASMA_spltmg_Tile

    PLASMA_cpltmg_Tile_Async

    PLASMA_dpltmg_Tile_Async

    PLASMA_spltmg_Tile_Async

  int PLASMA_spocon_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, float Anorm, float * rcond, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_spocon_Tile_Async - estimates the reciprocal of the condition number of a general complex matrix A, in either the 1-norm or the infinity-norm. Non-blocking equivalent of PLASMA_spocon_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_spocon

    PLASMA_spocon_Tile

    PLASMA_cpocon_Tile_Async

    PLASMA_dpocon_Tile_Async

    PLASMA_spocon_Tile_Async

  int PLASMA_sposv_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sposv_Tile_Async - Solves a symmetric positive definite or Hermitian positive definite system of linear equations using the Cholesky factorization. Non-blocking equivalent of PLASMA_sposv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sposv

    PLASMA_sposv_Tile

    PLASMA_cposv_Tile_Async

    PLASMA_dposv_Tile_Async

    PLASMA_sposv_Tile_Async

  int PLASMA_spotrf_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_spotrf_Tile_Async - Computes the Cholesky factorization of a symmetric positive definite or Hermitian positive definite matrix. Non-blocking equivalent of PLASMA_spotrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_spotrf

    PLASMA_spotrf_Tile

    PLASMA_cpotrf_Tile_Async

    PLASMA_dpotrf_Tile_Async

    PLASMA_spotrf_Tile_Async

    PLASMA_spotrs_Tile_Async

  int PLASMA_spotri_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_spotri_Tile_Async - Computes the inverse of a complex Hermitian positive definite matrix A using the Cholesky factorization A = U**T*U or A = L*L**T computed by PLASMA_spotrf. Non-blocking equivalent of PLASMA_spotri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_spotri

    PLASMA_spotri_Tile

    PLASMA_cpotri_Tile_Async

    PLASMA_dpotri_Tile_Async

    PLASMA_spotri_Tile_Async

    PLASMA_spotrf_Tile_Async

  int PLASMA_spotrs_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_spotrs_Tile_Async - Solves a system of linear equations using previously computed Cholesky factorization. Non-blocking equivalent of PLASMA_spotrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_spotrs

    PLASMA_spotrs_Tile

    PLASMA_cpotrs_Tile_Async

    PLASMA_dpotrs_Tile_Async

    PLASMA_spotrs_Tile_Async

    PLASMA_spotrf_Tile_Async

  int PLASMA_sstedc_Async (PLASMA_enum jobz, int n, float * D, float * E, float * Z, int LDZ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sstedc_Async - Computes all eigenpairs of a symmetric tridiagonal matrix

Parameters:
    jobz Intended usage: = PlasmaIVec: computes eigenpairs of the symmetric tridiagonal matrix = PlasmaVec: computes eigenpairs of the original matrix (not supported now)
    n n specifies the dimension of the original matrix
    D On entry, D contains the diagonal elements of the tridiagonal matrix On exit, D contains the eigenvalues
    E On entry, E contains the extra-diagonal elements of the tridiagonal matrix
    Z On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDZ The leading dimention of the eigenvectors matrix Z. LDZ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

Returns:

Return values:
    PLASMA_SUCCESS successful exit
    <0 if -i, the i-th argument had an illegal value

  int PLASMA_ssyev_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, float * W, PLASMA_desc * T, float * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssyev_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    jobz Intended usage: = PlasmaNoVec: computes eigenvalues only; = PlasmaVec: computes eigenvalues and eigenvectors.
    uplo Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
    A On entry, the symmetric (or Hermitian) matrix A. If uplo = PlasmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if jobz = PlasmaVec, then if return value = 0, A contains the orthonormal eigenvectors of the matrix A. If jobz = PlasmaNoVec, then on exit the lower triangle (if uplo = PlasmaLower) or the upper triangle (if uplo = PlasmaUpper) of A, including the diagonal, is destroyed.*
    W On exit, if info = 0, the eigenvalues.
    T On entry, descriptor as return by PLASMA_Alloc_Workspace_ssyev On exit, contains auxiliary factorization data.
    Q On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDQ The leading dimention of the eigenvectors matrix Q. LDQ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssyev

    PLASMA_ssyev_Tile

    PLASMA_cheev_Tile_Async

    PLASMA_dsyev_Tile_Async

    PLASMA_ssyev_Tile_Async

  int PLASMA_ssyevd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, float * W, PLASMA_desc * T, float * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssyevd_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    jobz Intended usage: = PlasmaNoVec: computes eigenvalues only; = PlasmaVec: computes eigenvalues and eigenvectors.
    uplo Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
    A On entry, the symmetric (or Hermitian) matrix A. If uplo = PlasmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if jobz = PlasmaVec, then if return value = 0, A contains the orthonormal eigenvectors of the matrix A. If jobz = PlasmaNoVec, then on exit the lower triangle (if uplo = PlasmaLower) or the upper triangle (if uplo = PlasmaUpper) of A, including the diagonal, is destroyed.*
    W On exit, if info = 0, the eigenvalues.
    T On entry, descriptor as return by PLASMA_Alloc_Workspace_ssyevd On exit, contains auxiliary factorization data.
    Q On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDQ The leading dimention of the eigenvectors matrix Q. LDQ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssyevd

    PLASMA_ssyevd_Tile

    PLASMA_cheevd_Tile_Async

    PLASMA_dsyev_Tile_Async

    PLASMA_ssyev_Tile_Async

  int PLASMA_ssyevr_Tile_Async (PLASMA_enum jobz, PLASMA_enum range, PLASMA_enum uplo, PLASMA_desc * A, float vl, float vu, int il, int iu, float abstol, int * nbcomputedeig, float * W, PLASMA_desc * T, float * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssyevr_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssyevr

    PLASMA_ssyevr_Tile

    PLASMA_cheevr_Tile_Async

    PLASMA_dsyevr_Tile_Async

    PLASMA_ssyevr_Tile_Async

  int PLASMA_ssygst_Tile_Async (PLASMA_enum itype, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssygst_Tile_Async - reduces a complex Hermitian-definite generalized eigenproblem to standard form. If PlasmaItype == 1, the problem is A*x = lambda*B*x, and A is overwritten by inv(U**T)*A*inv(U) or inv(L)*A*inv(L**T) If PlasmaItype == 2 or 3, the problem is A*B*x = lambda*x or B*A*x = lambda*x, and A is overwritten by U*A*U**T or L**T*A*L. B must have been previously factorized as U**T*U or L*L**T by PLASMA_SPOTRF. ONLY PlasmaItype == 1 and PlasmaLower supported! Non-blocking equivalent of PLASMA_ssygst_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssygst

    PLASMA_ssygst_Tile

    PLASMA_chegst_Tile_Async

    PLASMA_dsygst_Tile_Async

    PLASMA_ssygst_Tile_Async

    PLASMA_ssygv_Tile_Async

  int PLASMA_ssygv_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, float * W, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssygv_Tile - Computes all eigenvalues and, optionally, eigenvectors of a complex generalized Hermitian-definite eigenproblem of the form: A*x=(lambda)*B*x, A*Bx=(lambda)*x, or B*A*x=(lambda)*x. Here A and B are assumed to be Hermitian and B is also positive definite.

Non-blocking equivalent of PLASMA_ssygv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssygv

    PLASMA_ssygv_Tile

    PLASMA_chegv_Tile_Async

    PLASMA_dsygv_Tile_Async

    PLASMA_ssygv_Tile_Async

  int PLASMA_ssygvd_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, float * W, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssygvd_Tile - Computes all eigenvalues and, optionally, eigenvectors of a complex generalized Hermitian-definite eigenproblem of the form: A*x=(lambda)*B*x, A*Bx=(lambda)*x, or B*A*x=(lambda)*x. Here A and B are assumed to be Hermitian and B is also positive definite.

Non-blocking equivalent of PLASMA_ssygvd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssygvd

    PLASMA_ssygvd_Tile

    PLASMA_chegvd_Tile_Async

    PLASMA_dsygvd_Tile_Async

    PLASMA_ssygvd_Tile_Async

  int PLASMA_ssymm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, float alpha, PLASMA_desc * A, PLASMA_desc * B, float beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssymm_Tile_Async - Performs symmetric matrix multiplication. Non-blocking equivalent of PLASMA_ssymm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssymm

    PLASMA_ssymm_Tile

    PLASMA_csymm_Tile_Async

    PLASMA_dsymm_Tile_Async

    PLASMA_ssymm_Tile_Async

  int PLASMA_ssyr2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, float alpha, PLASMA_desc * A, PLASMA_desc * B, float beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssyr2k_Tile_Async - Performs symmetric rank-k update. Non-blocking equivalent of PLASMA_ssyr2k_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssyr2k

    PLASMA_ssyr2k_Tile

    PLASMA_csyr2k_Tile_Async

    PLASMA_dsyr2k_Tile_Async

    PLASMA_ssyr2k_Tile_Async

  int PLASMA_ssyrk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, float alpha, PLASMA_desc * A, float beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssyrk_Tile_Async - Performs rank-k update. Non-blocking equivalent of PLASMA_ssyrk_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssyrk

    PLASMA_ssyrk_Tile

    PLASMA_csyrk_Tile_Async

    PLASMA_dsyrk_Tile_Async

    PLASMA_ssyrk_Tile_Async

  int PLASMA_ssytrd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, float * W, float * E, PLASMA_desc * T, float * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ssytrd_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ssytrd

    PLASMA_ssytrd_Tile

    PLASMA_chetrd_Tile_Async

    PLASMA_dsytrd_Tile_Async

    PLASMA_ssytrd_Tile_Async

  int PLASMA_sTile_to_Lapack_Async (PLASMA_desc * A, float * Af77, int LDA, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_sTile_to_Lapack_Async - Conversion from LAPACK layout to tile layout. Non-blocking equivalent of PLASMA_sTile_to_Lapack(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    A Descriptor of the PLASMA matrix in tile layout.
    Af77 LAPACK matrix.
    LDA The leading dimension of the matrix Af77.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_sLapack_to_Tile_Async

    PLASMA_sTile_to_Lapack

    PLASMA_cTile_to_Lapack_Async

    PLASMA_dTile_to_Lapack_Async

    PLASMA_sTile_to_Lapack_Async

  int PLASMA_stradd_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, float alpha, PLASMA_desc * A, float beta, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_stradd_Tile_Async - Performs a matrix addition similarly to the pstradd() function from the PBLAS library. Non-blocking equivalent of PLASMA_stradd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_stradd

    PLASMA_stradd_Tile

    PLASMA_ctradd_Tile_Async

    PLASMA_dtradd_Tile_Async

    PLASMA_stradd_Tile_Async

  int PLASMA_strmm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, float alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_strmm_Tile_Async - Performs triangular matrix multiplication. Non-blocking equivalent of PLASMA_strmm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_strmm

    PLASMA_strmm_Tile

    PLASMA_ctrmm_Tile_Async

    PLASMA_dtrmm_Tile_Async

    PLASMA_strmm_Tile_Async

  int PLASMA_strsm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, float alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_strsm_Tile_Async - Computes triangular solve. Non-blocking equivalent of PLASMA_strsm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_strsm

    PLASMA_strsm_Tile

    PLASMA_ctrsm_Tile_Async

    PLASMA_dtrsm_Tile_Async

    PLASMA_strsm_Tile_Async

  int PLASMA_strsmpl_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_strsmpl_Tile - Performs the forward substitution step of solving a system of linear equations after the tile LU factorization of the matrix. Non-blocking equivalent of PLASMA_strsmpl_Tile(). Returns control to the user thread before worker threads finish the computation to allow for pipelined execution of diferent routines.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_strsmpl

    PLASMA_strsmpl_Tile

    PLASMA_ctrsmpl_Tile_Async

    PLASMA_dtrsmpl_Tile_Async

    PLASMA_strsmpl_Tile_Async

    PLASMA_sgetrf_incpiv_Tile_Async

  int PLASMA_strsmrv_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, float alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_strsmrv_Tile_Async - Computes triangular solve. Non-blocking equivalent of PLASMA_strsmrv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_strsmrv

    PLASMA_strsmrv_Tile

    PLASMA_ctrsmrv_Tile_Async

    PLASMA_dtrsmrv_Tile_Async

    PLASMA_strsmrv_Tile_Async

  int PLASMA_strtri_Tile_Async (PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_strtri_Tile_Async - Computes the inverse of a complex upper or lower triangular matrix A. Non-blocking equivalent of PLASMA_strtri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_strtri

    PLASMA_strtri_Tile

    PLASMA_ctrtri_Tile_Async

    PLASMA_dtrtri_Tile_Async

    PLASMA_strtri_Tile_Async

    PLASMA_spotri_Tile_Async

Author

Generated automatically by Doxygen for PLASMA from the source code.